// (c) MIT 2003.  All rights reserved.

// $Id: SpeechEvent.java,v 1.1 2003/06/03 15:37:14 cadlerun Exp $
// SpeechEvent.java -- 
// Author: Aaron Adler <cadlerun@fracas.ai.mit.edu> 
// Copyright:  Copyright (C) 2003 by MIT.  All rights reserved.
// Created: <Fri May 16 12:18:07 2003> 

/***
 * this class just holds the relavant info about a
 * speech event. namely, the text of the speech and
 * the start and end times.
 ***/

package rec.multi;

public class SpeechEvent {

  private int m_startTime;
  private int m_endTime;
  private String m_speech;

  public SpeechEvent(int startTime, int endTime, String speech) {
    m_startTime = startTime;
    m_endTime = endTime;
    m_speech = speech;
  }

  public String getSpeech() {
    return m_speech;
  }

  public int getStartTime() {
    return m_startTime;
  }

  public int getEndTime() {
    return m_endTime;
  }


}
